## org.apache.axis.handlers.http
Class HTTPActionHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.handlers.http.HTTPActionHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class HTTPActionHandler
extends BasicHandler

An `HTTPActionHandler` simply sets the context's TargetService property from the HTTPAction property. We expect there to be a Router on the chain after us, to dispatch to the service named in the SOAPAction. In the real world, this might do some more complex mapping of SOAPAction to a TargetService.

Author:
  Glen Daniels (gdaniels@allaire.com), Doug Davis (dug@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`HTTPActionHandler()`

Method Summary
`void` `invoke(MessageContext msgContext)` Must implement this in subclasses.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### HTTPActionHandler

    public HTTPActionHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.